SystemStarter(8)

NAME
SystemStarter - Start, stop, and restart system services

SYNOPSIS
SystemStarter [-gvxdDqn] [action [service]]

DESCRIPTION
The SystemStarter utility is deprecated. System services should instead be described by a launchd.plist(5). See launchd(8) for more details. The launchd utility is available on Mac OS X 10.4 and later.

In earlier versions of Mac OS X, the SystemStarter utility is used to start, stop, and restart the system services which are described in the /Library/StartupItems/ and /System/Library/StartupItems/ paths.

The optional action argument specifies which action SystemStarter performs on the startup items. The optional service argument specifies which startup items to perform the action on. If no service is specified, all startup items will be acted on; otherwise, only the item providing the service, any items it requires, or any items that depend on it will be acted on.

During boot SystemStarter is invoked by launchd(8) and is responsible for starting all startup items in an order that satisfies each item's requirements.

ACTIONS

start
    start all items, or start the item that provides the specified service and all items providing services it requires.

stop
    stop all items, or stop the item that provides the specified service and all items that depend on it.

restart
    restart all items, or restart the item providing the specified service.

OPTIONS

-g  (ignored)

-v  verbose (text mode) startup

-x  (ignored)

-r  (ignored)

-d  print debugging output

-D  print debugging output and dependencies

-q  be quiet (disable debugging output)

-n  don't actually perform action on items (no-run mode)

NOTES
Unless an explicit call to ConsoleMessage is made, SystemStarter examines the exit status of the startup item scripts to determine the success or failure of the services provided by that script.

FILES
/Library/StartupItems/
    User-installed startup items.
/System/Library/StartupItems/
    System-provided startup items.

SEE ALSO
ConsoleMessage(8), launchd(8), launchd.plist(5), rc(8)

HISTORY
The SystemStarter utility appeared in Darwin 1.0 and was extended in Darwin 6.0 to support partial startup and interprocess communication. SystemStarter was deprecated by launchd(8) in Darwin 8.0.